classification
Title: Possible assertion failure due to int_from_bytes_impl()
Type: crash Stage: resolved
Components: Interpreter Core Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, miss-islington, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-10-04 22:10 by ZackerySpytz, last changed 2018-10-09 02:15 by ZackerySpytz. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9705 merged ZackerySpytz, 2018-10-04 22:13
PR 9729 merged miss-islington, 2018-10-05 21:02
PR 9730 merged miss-islington, 2018-10-05 21:02
Messages (4)
msg327091 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2018-10-04 22:10
If _PyLong_FromByteArray() fails in int_from_bytes_impl(), PyObject_CallFunctionObjArgs() might be called with a live exception.
msg327188 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-05 21:02
New changeset 7bb9cd0a6766fd3e7b3c1e8f2315304ae192b34c by Serhiy Storchaka (Zackery Spytz) in branch 'master':
bpo-34899: Fix a possible assertion failure due to int_from_bytes_impl() (GH-9705)
https://github.com/python/cpython/commit/7bb9cd0a6766fd3e7b3c1e8f2315304ae192b34c
msg327190 - (view) Author: miss-islington (miss-islington) Date: 2018-10-05 21:24
New changeset 526929be39e139a7d89f4c363d79c28566f30d71 by Miss Islington (bot) in branch '3.6':
bpo-34899: Fix a possible assertion failure due to int_from_bytes_impl() (GH-9705)
https://github.com/python/cpython/commit/526929be39e139a7d89f4c363d79c28566f30d71
msg327191 - (view) Author: miss-islington (miss-islington) Date: 2018-10-05 21:29
New changeset 1596fea0a329e1f5e4cce0135724881ca5f1d341 by Miss Islington (bot) in branch '3.7':
bpo-34899: Fix a possible assertion failure due to int_from_bytes_impl() (GH-9705)
https://github.com/python/cpython/commit/1596fea0a329e1f5e4cce0135724881ca5f1d341
History
Date User Action Args
2018-10-09 02:15:59ZackerySpytzsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-10-05 21:29:01miss-islingtonsetmessages: + msg327191
2018-10-05 21:24:30miss-islingtonsetnosy: + miss-islington
messages: + msg327190
2018-10-05 21:02:45miss-islingtonsetpull_requests: + pull_request9116
2018-10-05 21:02:36miss-islingtonsetpull_requests: + pull_request9115
2018-10-05 21:02:28serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg327188
2018-10-04 22:13:45ZackerySpytzsetkeywords: + patch
stage: patch review
pull_requests: + pull_request9090
2018-10-04 22:10:47ZackerySpytzcreate